md.fibu.deleteConnection = function(buchung_id) {
	// Formular fllen
	document.getElementById("delete_connection_id").value = buchung_id;
	
	// Dialog anzeigen und zentrieren
	md.showAndCenter("delete_connection_dialog");
}
md.fibu.deleteConnectionSubmit = function() {
	var form = document.getElementById("delete_connection_form");
	
	// Url basteln
	var url = "ajax/delete_connection.php";
	url += "?id=" + encodeURIComponent(form.delete_connection_id.value);
	
	// bertragen
	if(md.getValJsonObj(url) === false) {
		return;
	}
	
	$("#delete_connection_dialog").css("display", "none");
	md.fibu.refresh();
	form.reset();
	
}

md.fibu.addConnection = function(buchung_id) {
	
	// Url basteln
	var url = "ajax/get_connection_options.php";
	url += "?id=" + encodeURIComponent(buchung_id);
	
	// bertragen
	var obj = md.getValJsonObj(url);
	if(obj === false) {
		return;
	}
	
	// Optionen von Select entfernen
	$(".connection_option").remove();
	
	// Verbindungs-Optionen an Select anhngen
	var options = obj.data.options;
	for(var i = 0; i < options.length; i++) {
		var option = document.createElement("option");
		option.value = options[i].id;
		option.innerHTML = "ID " + options[i].id + " @ " + options[i].konto_name;
		option.className = "connection_option";
		document.getElementById("new_connection_id_2").appendChild(option);
	}
	
	// Formular fllen
	document.getElementById("new_connection_id_1").value = buchung_id;
	
	// Dialog anzeigen und zentrieren
	md.showAndCenter("new_connection_dialog");
}
md.fibu.newConnectionSubmit = function() {
	var form = document.getElementById("new_connection_form");
	
	// Url basteln
	var url = "ajax/submit_new_connection.php";
	url += "?id1=" + encodeURIComponent(form.new_connection_id_1.value);
	url += "&id2=" + encodeURIComponent(form.new_connection_id_2.value);
	
	// bertragen
	if(md.getValJsonObj(url) === false) {
		return;
	}
	
	$("#new_connection_dialog").css("display", "none");
	md.fibu.refresh();
	form.reset();
}