md.fibu.deleteKategorie = function() {
	// Kategorie-Optionen an Select anhngen
	md.fibu.appendKategorieOptions("delete_kategorie_id", "delete_kategorie_options");

	// Dialog anzeigen und zentrieren
	md.showAndCenter("delete_kategorie_dialog");
}
md.fibu.deleteKategorieSubmit = function() {
	var form = document.getElementById("delete_kategorie_form");
	
	// Url basteln
	var url = "ajax/delete_kategorie.php";
	url += "?id=" + encodeURIComponent(form.delete_kategorie_id.value);
	
	// bertragen
	if(md.getValJsonObj(url) === false) {
		return;
	}
	
	$("#delete_kategorie_dialog").css("display", "none");
	md.fibu.refresh();
	form.reset();
}

md.fibu.newKategorie = function() {
	// Dialog anzeigen und zentrieren
	md.showAndCenter("new_kategorie_dialog");
	
	// Name-Feld fokussieren
	document.getElementById("new_kategorie_name").focus();
}
md.fibu.newKategorieSubmit = function() {
	var form = document.getElementById("new_kategorie_form");
	
	// Url basteln
	var url = "ajax/submit_new_kategorie.php";
	url += "?name=" + encodeURIComponent(form.name.value);
	url += "&ignore=" + encodeURIComponent(form.ignore.checked ? "1" : "0");
	
	// bertragen
	if(md.getValJsonObj(url) === false) {
		return;
	}
	
	$("#new_kategorie_dialog").css("display", "none");
	md.fibu.refresh();
	form.reset();
}

md.fibu.editKategorie = function() {
	// Kategorie-Optionen an Select anhngen
	md.fibu.appendKategorieOptions("edit_kategorie_id", "edit_kategorie_options");

	// Dialog anzeigen und zentrieren
	md.showAndCenter("edit_kategorie_dialog");
}
md.fibu.getEditKategorie = function() {
	var form = document.getElementById("edit_kategorie_form");
	
	// Daten aus Auswahl kopieren
	form.name.value = form.edit_kategorie_id.options[form.edit_kategorie_id.selectedIndex].innerHTML;
	form.ignore.checked = (form.edit_kategorie_id.options[form.edit_kategorie_id.selectedIndex].getAttribute("data-ignore") == 1) ? true : false;
	
	// Felder entsperren
	$(".edit_kategorie_details").attr('readonly', false);
}
md.fibu.editKategorieSubmit = function() {
	var form = document.getElementById("edit_kategorie_form");
	
	// Url basteln
	var url = "ajax/submit_edit_kategorie.php";
	url += "?id=" + encodeURIComponent(form.edit_kategorie_id.value);
	url += "&name=" + encodeURIComponent(form.name.value);
	url += "&ignore=" + encodeURIComponent(form.ignore.checked?"1":"0");
	
	// bertragen
	if(md.getValJsonObj(url) === false) {
		return;
	}
	
	$("#edit_kategorie_dialog").css("display", "none");
	md.fibu.refresh();
	form.reset();
}